List Evaluations For A Given Agent
curl --request GET \
--url https://{api_endpoint}/v1/orchestrate/agent/{agent_id}/evaluations \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_endpoint}/v1/orchestrate/agent/{agent_id}/evaluations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_endpoint}/v1/orchestrate/agent/{agent_id}/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"page": 123,
"page_size": 123,
"evaluations": [
{
"executed_date": "<string>",
"number_of_test_cases": 123,
"executed_by": "<string>",
"id": "<string>",
"aggregate_metrices": {
"tool_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"accuracy": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
}
},
"answer_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
},
"correctness": {
"value": 123,
"status": "<string>"
},
"faithfulness": {
"value": 123,
"status": "<string>"
}
},
"transaction_completion": {
"average": {
"value": 123,
"status": "<string>"
},
"failed": 123,
"success": 123,
"total": 123
}
},
"agent_name": "<string>",
"agent_description": "<string>",
"agent_environment": []
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent Evaluation
List Evaluations For A Given Agent
List evaluations for a given agent
List Evaluations For A Given Agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Limit the number of results returned
Required range:
x >= 1Skip the first N results
Required range:
x >= 0Sort key
Available options:
executed_date, number_of_test_cases, executed_by Sort order
Available options:
asc, desc ⌘I

